=== debian/changelog ===
votca (2024-2) unstable; urgency=medium

  * Upload to unstable.
  * control: Replace B-D on pkg-config with pkgconf.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 28 Feb 2024 19:52:32 -0800

votca (2024-1) experimental; urgency=medium

  * New upstream release.
    - SONAME bump to 2024.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 01 Feb 2024 20:49:48 -0800
