=== debian/changelog ===
votca (2024.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Lintian overrides for a false positive on unusual-interpreter.
  * Update Standards-Version to 4.7.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 02 Aug 2024 21:23:14 -0700
