=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                      python3-recommonmark,
                      python3-sphinx,
                      python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.votca.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca
