=== tools/scripts/CMakeLists.txt ===
if(INSTALL_RC_FILES)
  if(APPLE)
    set(LD_LIBRARY_PATH "DYLD_LIBRARY_PATH")
  else(APPLE)
    set(LD_LIBRARY_PATH "LD_LIBRARY_PATH")
  endif(APPLE)
  configure_file(VOTCARC.bash.in ${CMAKE_CURRENT_BINARY_DIR}/VOTCARC.bash @ONLY)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/VOTCARC.bash DESTINATION ${CMAKE_INSTALL_BINDIR})
endif(INSTALL_RC_FILES)

add_executable(VOTCA::votca_compare IMPORTED GLOBAL)
set_property(TARGET VOTCA::votca_compare PROPERTY IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/votca_compare")
add_executable(VOTCA::votca_help2doc IMPORTED GLOBAL)
set_property(TARGET VOTCA::votca_help2doc PROPERTY IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/votca_help2doc")
add_executable(VOTCA::extract_xml_metadata IMPORTED GLOBAL)
set_property(TARGET VOTCA::extract_xml_metadata PROPERTY IMPORTED_LOCATION "${CMAKE_CURRENT_SOURCE_DIR}/extract_xml_metadata.py")
