=== tools/share/man/CMakeLists.txt ===
if (BUILD_MANPAGES)
  string(TIMESTAMP VOTCA_DATE "%Y/%m/%d" UTC)
  configure_file(votca-tools.man.in ${CMAKE_CURRENT_BINARY_DIR}/votca-tools.man)
  add_custom_target(votca_tools_manpages DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/votca-tools.man)
  add_dependencies(manpages votca_tools_manpages)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/votca-tools.man DESTINATION ${CMAKE_INSTALL_MANDIR}/man7 RENAME votca-tools.7)
endif (BUILD_MANPAGES)
