=== debian/changelog ===
votca (2024.2-4build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Aug 2025 11:12:13 +0200

votca (2024.2-4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 05:34:15 +0200

votca (2024.2-4) unstable; urgency=medium

  * Switch to explicit list of excluded architectures for rdkit.
 
 -- Nicholas Breen <nbreen@debian.org>  Mon, 24 Mar 2025 18:05:57 -0700

votca (2024.2-3) unstable; urgency=medium

  * Restore rdkit dependency (for xtp_autogen_mapping) on supported
    little-endian architectures.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 23 Mar 2025 13:07:12 -0700

votca (2024.2-2) unstable; urgency=medium

  * Temporarily remove (optional) rdkit build-dependency, to break
    migration logjam.
  * Sphinx - remove unneeded link to html5shiv.js.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 15 Feb 2025 07:53:41 -0800

votca (2024.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 25 Nov 2024 21:14:46 -0800
