=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libgsl-dev,
                libhdf5-dev,
                libint2-dev,
-               librdkit-dev,
+               librdkit-dev [!s390x !sparc64 !ppc64],
                libsqlite3-dev,
                libxc-dev,
                pkgconf,
@@ -28,7 +28,7 @@
                python3-lxml,
                python3-numpy,
                python3-pytest,
-               python3-rdkit,
+               python3-rdkit [!s390x !sparc64 !ppc64],
                python3:any,
                sphinx-common,
                txt2tags
