=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CTEST_OUTPUT_ON_FAILURE = On
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYTHONPATH=$(CURDIR)/debian/cma-4.0.0

# Decide whether to build tests.
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	export CONFIG_BUILD_TESTS = -DBUILD_TESTING=TRUE  -DENABLE_REGRESSION_TESTING=TRUE
else
	export CONFIG_BUILD_TESTS = -DBUILD_TESTING=FALSE -DENABLE_REGRESSION_TESTING=FALSE
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_XTP=TRUE \
	-DINSTALL_CSGAPPS=TRUE \
	-DINJECT_MARCH_NATIVE=FALSE \
	$(CONFIG_BUILD_TESTS)
	# Override various blhc false positives.
#	@echo 'blhc: ignore-line-regexp: .*Looking for c\+\+ gmx_.*'
	@echo 'blhc: ignore-line-regexp: .*C\+\+ vector data structures.*'

override_dh_auto_build-indep:
	dh_auto_build
	# temporarily use bundled copy of cma to build documentation - not yet packaged separately
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	make -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) sphinx
endif

override_dh_installdocs:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/votca/html
	-test -d $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/sphinx.html && \
	cp -aru $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/sphinx.html/* $(CURDIR)/debian/tmp/usr/share/doc/votca/html/
	dh_installdocs
	dh_link -i

override_dh_auto_clean:
	dh_auto_clean
	py3clean $(CURDIR)
	rm -rf $(CURDIR)/.pytest_cache

%:
	dh $@ --with bash-completion,python3,sphinxdoc
