=== debian/changelog ===
votca (2025-1) experimental; urgency=medium

  * New upstream release.
    - SONAME bump to 2025 - uploaded to experimental during freeze.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 04 May 2025 15:30:19 -0700
