=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                cmake,
                debhelper-compat (= 13),
                dh-python,
-               gromacs (>= 2024~),
+               gromacs (>= 2025~),
                libboost-all-dev,
                libecpint-dev,
                libeigen3-dev,
                libexpat-dev,
                libfftw3-dev,
-               libgromacs-dev (>= 2024~),
+               libgromacs-dev (>= 2025~),
                libgsl-dev,
                libhdf5-dev,
                libint2-dev,
@@ -41,7 +41,7 @@
                      python3-recommonmark,
                      python3-sphinx,
                      python3-sphinx-rtd-theme
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.votca.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca
@@ -53,7 +53,7 @@
 Depends: libboost-filesystem-dev,
          libboost-program-options-dev,
          libboost-system-dev,
-         libvotca-2024 (= ${binary:Version}),
+         libvotca-2025 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: libvotca-csg-dev (<< 2022~),
         libvotca-tools-dev (<< 2022~),
@@ -71,7 +71,7 @@
  This package contains header files and pkg-config files and templates
  for VOTCA programs.
 
-Package: libvotca-2024
+Package: libvotca-2025
 Section: libs
 Architecture: any
 Multi-Arch: same
